/** 
 * \file piglet1.h
 * \brief Functions of the piglet1_PKE IND-CPA scheme
 */

#ifndef piglet1_H
#define piglet1_H

#include "ffi.h"

void piglet1_pke_keygen(unsigned char *pk, unsigned char *sk);
void piglet1_pke_encryption(const ffi_vec& m, const unsigned char *pk, unsigned char* theta, ffi_vec* u, ffi_vec& v);
void piglet1_pke_decryption(const unsigned char* sk, ffi_vec& m, const ffi_vec* u, const ffi_vec& v);

#endif


